package org.springblade.modules.system;

import org.springblade.core.tool.utils.SpringUtil;
import org.springblade.modules.system.service.IDictService;

/**
 * Author pangqijun
 * Date 2023/10/25
 * Description 字典工具类
 */
public class DictUtil {
    private static IDictService dictService;

    static {
        dictService = SpringUtil.getBean(IDictService.class);
    }

    /**
     * 获取字典值
     * @param code
     * @param dictKey
     * @return
     */
    public static String getValue(String code, Integer dictKey) {
        return dictService.getValue(code, dictKey);
    }
}
